package com.ssm.manage.mapper;

import com.ssm.core.mapper.BaseMapper;
import com.ssm.manage.entity.StoreMemberList;
import com.ssm.manage.extendEntity.StoreDaily;
import com.ssm.manage.query.MemberRequest;
import com.ssm.manage.query.StoreDailyRequest;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

@Component
public interface StoreMemberListMapper extends BaseMapper<StoreMemberList> {
    StoreDaily selectDayRecord(StoreDailyRequest storeDailyRequest);

    List<StoreMemberList> selectPhone( @RequestParam("phone") String phone);

    int insertBatch(@RequestParam("list") List<StoreMemberList> lists);

    List<StoreMemberList> selectMemberList(MemberRequest memberRequest);
}